## virtualbox-hwe 5.2.42

=== src/VBox/HostDrivers/VBoxNetAdp/linux/Makefile ===
#
# Makefile for the VirtualBox Linux Host Virtual Network Adapter Driver.
#

#
# Copyright (C) 2006-2017 Oracle Corporation
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License (GPL) as published by the Free Software
# Foundation, in version 2 as it comes in the "COPYING" file of the
# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
#
# The contents of this file may alternatively be used under the terms
# of the Common Development and Distribution License Version 1.0
# (CDDL) only, as it comes in the "COPYING.CDDL" file of the
# VirtualBox OSE distribution, in which case the provisions of the
# CDDL are applicable instead of those of the GPL.
#
# You may elect to license modified versions of this file under the
# terms and conditions of either the GPL or the CDDL or both.
#

# Linux kbuild sets this to our source directory if we are called from there
obj ?= $(CURDIR)
include $(obj)/Makefile.include.header

# override is required by the Debian guys
MOD_NAME = vboxnetadp
MOD_OBJS = \
	linux/VBoxNetAdp-linux.o \
	VBoxNetAdp.o
ifeq ($(BUILD_TARGET_ARCH),x86)
MOD_OBJS += math/gcc/divdi3.o \
	math/gcc/moddi3.o \
	math/gcc/qdivrem.o \
	math/gcc/udivdi3.o \
	math/gcc/udivmoddi4.o \
        math/gcc/divdi3.o \
	math/gcc/umoddi3.o
endif

MOD_INCL = $(addprefix -I$(KBUILD_EXTMOD),/ /include /r0drv/linux)
MOD_DEFS = -DRT_OS_LINUX -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DVBOX \
	    -DRT_WITH_VBOX -DVBOX_WITH_HARDENING \
	    -Wno-declaration-after-statement
ifeq ($(BUILD_TARGET_ARCH),amd64)
 MOD_DEFS += -DRT_ARCH_AMD64
else
 MOD_DEFS += -DRT_ARCH_X86
endif
# must be consistent with Config.kmk!
MOD_DEFS += -DVBOX_WITH_64_BITS_GUESTS

# By default we use remap_pfn_range() kernel API to make kernel pages
# visible for userland. Unfortunately, it leads to situation that
# during debug session all structures on that page (such as PVM pointer)
# are not accessible to the debugger (see #3214).
# This code enables experimental support
# for vm_insert_page() kernel API, allowing to export kernel pages
# to the userland in more debugger-friendly way. Due to stability
# concerns, not enabled by default yet.
ifdef VBOX_USE_INSERT_PAGE
 KFLAGS  += -DVBOX_USE_INSERT_PAGE
endif

# build defs
MOD_CFLAGS = -include $(KBUILD_EXTMOD)/include/VBox/SUPDrvMangling.h -fno-pie

include $(obj)/Makefile.include.footer

=== src/VBox/HostDrivers/VBoxNetFlt/linux/Makefile ===
#
# Makefile for the VirtualBox Linux Host Network Filter Driver.
#

#
# Copyright (C) 2006-2017 Oracle Corporation
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License (GPL) as published by the Free Software
# Foundation, in version 2 as it comes in the "COPYING" file of the
# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
#
# The contents of this file may alternatively be used under the terms
# of the Common Development and Distribution License Version 1.0
# (CDDL) only, as it comes in the "COPYING.CDDL" file of the
# VirtualBox OSE distribution, in which case the provisions of the
# CDDL are applicable instead of those of the GPL.
#
# You may elect to license modified versions of this file under the
# terms and conditions of either the GPL or the CDDL or both.
#

# Linux kbuild sets this to our source directory if we are called from
# there
obj ?= $(CURDIR)
include $(obj)/Makefile.include.header

MOD_NAME = vboxnetflt
MOD_OBJS = \
	linux/VBoxNetFlt-linux.o \
	VBoxNetFlt.o \
	SUPR0IdcClient.o \
	SUPR0IdcClientComponent.o \
	linux/SUPR0IdcClient-linux.o

ifeq ($(BUILD_TARGET_ARCH),x86)
MOD_OBJS += math/gcc/divdi3.o \
	math/gcc/moddi3.o \
	math/gcc/qdivrem.o \
	math/gcc/udivdi3.o \
	math/gcc/udivmoddi4.o \
        math/gcc/divdi3.o \
	math/gcc/umoddi3.o
endif

MOD_INCL = $(addprefix -I$(KBUILD_EXTMOD),/ /include /r0drv/linux)
MOD_DEFS = -DRT_OS_LINUX -DIN_RING0 -DIN_RT_R0 \
	-DIN_SUP_R0 -DVBOX -DRT_WITH_VBOX -DVBOX_WITH_HARDENING \
	-Wno-declaration-after-statement
ifeq ($(BUILD_TARGET_ARCH),amd64)
 MOD_DEFS += -DRT_ARCH_AMD64
else
 MOD_DEFS += -DRT_ARCH_X86
endif
# must be consistent with Config.kmk!
MOD_DEFS += -DVBOX_WITH_64_BITS_GUESTS

# By default we use remap_pfn_range() kernel API to make kernel pages
# visible for userland. Unfortunately, it leads to situation that
# during debug session all structures on that page (such as PVM pointer)
# are not accessible to the debugger (see #3214).
# This code enables experimental support
# for vm_insert_page() kernel API, allowing to export kernel pages
# to the userland in more debugger-friendly way. Due to stability
# concerns, not enabled by default yet.
ifdef VBOX_USE_INSERT_PAGE
 KFLAGS  += -DVBOX_USE_INSERT_PAGE
endif

# build defs
MOD_CFLAGS = -include $(KBUILD_EXTMOD)/include/VBox/SUPDrvMangling.h -fno-pie

include $(obj)/Makefile.include.footer

=== src/VBox/Devices/EFI/Firmware/BaseTools/Source/C/Makefile ===
## @file
# Windows makefile for C tools build.
#
# Copyright (c) 2009 - 2014, Intel Corporation. All rights reserved.<BR>
# This program and the accompanying materials
# are licensed and made available under the terms and conditions of the BSD License
# which accompanies this distribution.  The full text of the license may be found at
# http://opensource.org/licenses/bsd-license.php
#
# THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
# WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.
#
ARCH = IA32

!INCLUDE Makefiles\ms.common

LIBRARIES = Common
APPLICATIONS = \
  BootSectImage \
  EfiLdrImage \
  EfiRom \
  GenBootSector \
  GenCrc32 \
  GenFfs \
  GenFv \
  GenFw \
  GenPage \
  GenSec \
  GenVtf \
  LzmaCompress \
  Split \
  TianoCompress \
  VolInfo \
  VfrCompile

all: libs apps install

libs: $(LIBRARIES)
	@echo.
	@echo ######################
	@echo # Build libraries
	@echo ######################
	@if not exist $(LIB_PATH) mkdir $(LIB_PATH)
	@Makefiles\NmakeSubdirs.bat all $**

apps: $(APPLICATIONS)
	@echo.
	@echo ######################
	@echo # Build executables
	@echo ######################
	@if not exist $(BIN_PATH) mkdir $(BIN_PATH)
	@Makefiles\NmakeSubdirs.bat all $**

install: $(LIB_PATH) $(BIN_PATH)
	@echo.
	@echo ######################
	@echo # Install to $(SYS_LIB_PATH)
	@echo # Install to $(SYS_BIN_PATH)
	@echo ######################
	@-xcopy $(LIB_PATH)\*.lib $(SYS_LIB_PATH) /I /D /E /F /Y > NUL 2>&1
	@-xcopy $(BIN_PATH)\*.exe $(SYS_BIN_PATH) /I /D /E /F /Y > NUL 2>&1
  @-xcopy $(BIN_PATH)\*.bat $(SYS_BIN_PATH) /I /D /E /F /Y > NUL 2>&1

.PHONY: clean
clean:
  @Makefiles\NmakeSubdirs.bat clean $(LIBRARIES) $(APPLICATIONS)

.PHONY: cleanall
cleanall:
  @Makefiles\NmakeSubdirs.bat cleanall $(LIBRARIES) $(APPLICATIONS)

!INCLUDE Makefiles\ms.rule

=== src/VBox/Devices/EFI/Firmware/BaseTools/Source/C/GenFw/Makefile ===
## @file
# Windows makefile for 'GenFw' module build.
#
# Copyright (c) 2009 - 2010, Intel Corporation. All rights reserved.<BR>
# This program and the accompanying materials
# are licensed and made available under the terms and conditions of the BSD License
# which accompanies this distribution.  The full text of the license may be found at
# http://opensource.org/licenses/bsd-license.php
#
# THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
# WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.
#
!INCLUDE ..\Makefiles\ms.common

APPNAME = GenFw

LIBS = $(LIB_PATH)\Common.lib

OBJECTS = GenFw.obj ElfConvert.obj Elf32Convert.obj Elf64Convert.obj

#CFLAGS = $(CFLAGS) /nodefaultlib:libc.lib

!INCLUDE ..\Makefiles\ms.app

=== src/VBox/Devices/EFI/Firmware/BaseTools/Source/C/Split/Makefile ===
## @file
# Windows makefile for 'Split' module build.
#
# Copyright (c) 2007 - 2010, Intel Corporation. All rights reserved.<BR>
# This program and the accompanying materials
# are licensed and made available under the terms and conditions of the BSD License
# which accompanies this distribution.  The full text of the license may be found at
# http://opensource.org/licenses/bsd-license.php
#
# THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
# WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.
#
!INCLUDE ..\Makefiles\ms.common

APPNAME = Split

LIBS = $(LIB_PATH)\Common.lib

OBJECTS = Split.obj

!INCLUDE ..\Makefiles\ms.app

=== src/VBox/Devices/EFI/Firmware/BaseTools/Source/Python/UPT/Makefile ===
## @file
# Windows makefile for UPT tools build.
#
# Copyright (c) 2011, Intel Corporation. All rights reserved.<BR>
# This program and the accompanying materials
# are licensed and made available under the terms and conditions of the BSD License
# which accompanies this distribution.  The full text of the license may be found at
# http://opensource.org/licenses/bsd-license.php
#
# THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
# WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.
#

!IFNDEF PYTHON_FREEZER_PATH
!ERROR PYTHON_FREEZER_PATH must be defined!
!ENDIF

FREEZE=$(PYTHON_FREEZER_PATH)\FreezePython.exe

MODULES=encodings.cp437,encodings.gbk,encodings.utf_16,encodings.utf_8,encodings.utf_16_le,encodings.latin_1,encodings.ascii

BIN_DIR = .\Bin
SOURCES_PATH = .

APPLICATIONS=$(BIN_DIR)\UPT.exe

UPT_BUILDVERSION_PYTHON=$(SOURCES_PATH)\BuildVersion.py

all: SetPythonPath $(APPLICATIONS)

SetPythonPath:
  set PYTHONPATH= $(SOURCES_PATH)

$(BIN_DIR)\UPT.exe: $(SOURCES_PATH)\UPT.py $(UPT_BUILDVERSION_PYTHON)
  @pushd . & @cd build & @$(FREEZE) --include-modules=$(MODULES) --install-dir=$(BIN_DIR) UPT.py & @popd
  @pushd . & @copy .\Dll\sqlite3.dll .\Bin\Sqlite3.dll & @popd
clean:
cleanall:
  @del /f /q $(BIN_DIR)\*.pyd $(BIN_DIR)\*.dll
  @for %%i in ($(APPLICATIONS)) do @del /f /q %%i

## virtualbox-hwe 5.2.42-dfsg

=== debian/changelog ===
virtualbox-hwe (5.2.42-dfsg-0~ubuntu1.18.04.1) bionic; urgency=medium

  * SRU the latest package for bionic (LP: #1882217)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Jun 2020 11:04:33 +0200

virtualbox (5.2.42-dfsg-0~ubuntu1.18.04.1) bionic; urgency=medium

  * SRU the latest package for bionic (LP: #1882217)
    - add patch to fix build with new mesa: glxext-api-fix.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Jun 2020 10:26:08 +0200

=== debian/control ===
Source: virtualbox-hwe
Section: contrib/misc
Priority: optional
Maintainer: Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>
Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
           Gianfranco Costamagna <locutusofborg@debian.org>
Build-Depends: bzip2,
               debhelper (>= 10),
               default-jdk,
               jaxws,
               dh-python,
               dh-systemd (>=1.5),
               dkms,
               docbook-xml,
               docbook-xsl,
               dpkg-dev (>= 1.15.6~),
               g++-multilib,
               genisoimage,
               gsoap,
               acpica-tools,
               imagemagick,
               kbuild (>= 1:0.1.9998svn3098~),
               libasound2-dev,
               libcap-dev,
               libcurl4-gnutls-dev,
               libdevmapper-dev,
               libdrm-dev,
               libegl1-mesa-dev,
               libgl1-mesa-dev,
               libglu1-mesa-dev,
               libidl-dev,
               libopus-dev,
               libpam0g-dev,
               libpixman-1-dev,
               libpng-dev,
               libpulse-dev,
               libqt5x11extras5-dev,
               libqt5opengl5-dev,
               qttools5-dev-tools,
               libsdl1.2-dev,
               libssl-dev,
               libvncserver-dev,
               libvpx-dev,
               libx11-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxext-dev,
               libxi-dev,
               libxinerama-dev,
               libxml2-dev,
               libxml2-utils,
               libxmu-dev,
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               lsb-release,
               lynx,
               makeself,
               module-assistant,
               python3-dev,
               texlive-fonts-extra,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-latex-recommended,
               uuid-dev,
               x11proto-gl-dev,
               x11proto-xf86dri-dev,
               xserver-xorg-dev-hwe-18.04,
               xsltproc,
               yasm,
               zlib1g-dev
X-Python-Version: >= 2.5
Standards-Version: 4.3.0
Homepage: https://www.virtualbox.org
Vcs-Browser: https://salsa.debian.org/pkg-virtualbox-team/virtualbox
Vcs-Git: https://salsa.debian.org/pkg-virtualbox-team/virtualbox.git

#Package: virtualbox-qt
#Architecture: amd64 i386
#Depends: virtualbox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
#Breaks: virtualbox (<< 4.1.6-dfsg-2~)
#Replaces: virtualbox (<< 4.1.6-dfsg-2~)
#Description: x86 virtualization solution - Qt based user interface
# VirtualBox is a free x86 virtualization solution allowing a wide range
# of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
# Linux system.
# .
# This package provides the Qt based graphical user interface for VirtualBox.
#
#Package: virtualbox
#Architecture: amd64 i386
#Depends: adduser,
#         iproute2,
#         procps,
#         virtualbox-dkms (>= ${source:Version}) | virtualbox-source (>= ${source:Version}) | virtualbox-modules,
#         ${misc:Depends},
#         ${python3:Depends},
#         ${shlibs:Depends}
#Recommends: virtualbox-qt (= ${binary:Version}), ${shlibs:Recommends}
#Suggests: vde2, virtualbox-guest-additions-iso
#Conflicts: virtualbox-2.0,
#           virtualbox-2.1,
#           virtualbox-2.2,
#           virtualbox-3.0,
#           virtualbox-3.1,
#           virtualbox-3.2,
#           virtualbox-4.0,
#           virtualbox-4.1,
#           virtualbox-4.2,
#           virtualbox-4.3,
#           virtualbox-5.0,
#           virtualbox-5.1,
#           virtualbox-5.2,
#Description: x86 virtualization solution - base binaries
# VirtualBox is a free x86 virtualization solution allowing a wide range
# of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
# Linux system.
# .
# This package provides the binaries for VirtualBox. Either the virtualbox-dkms
# or the virtualbox-source package is also required in order to compile the
# kernel modules needed for virtualbox. A graphical user interface for
# VirtualBox is provided by the package virtualbox-qt.
#
#Package: virtualbox-dkms
#Section: contrib/kernel
#Architecture: all
#Depends: ${misc:Depends}
#Recommends: virtualbox (>= ${source:Version})
#Provides: virtualbox-modules
#Description: x86 virtualization solution - kernel module sources for dkms
# VirtualBox is a free x86 virtualization solution allowing a wide range
# of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
# Linux system.
# .
# This package provides the source code for the virtualbox kernel module to be
# build with dkms. Kernel sources or headers are required to compile this
# module.
#
#Package: virtualbox-source
#Section: contrib/kernel
#Architecture: all
#Depends: build-essential,
#         bzip2,
#         debhelper (>= 10),
#         kbuild,
#         module-assistant,
#         ${misc:Depends}
#Recommends: virtualbox (>= ${source:Version})
#Description: x86 virtualization solution - kernel module source
# VirtualBox is a free x86 virtualization solution allowing a wide range
# of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
# Linux system.
# .
# This package provides the source code for the virtualbox kernel module.
# The virtualbox package is also required in order to make use of these
# modules. Kernel sources or headers are required to compile this module.
# .
# The source is placed under /usr/src, and after decompression it can
# be built to produce a virtualbox-modules-_KVERS_ providing
# "virtualbox-modules" package.

Package: virtualbox-guest-dkms-hwe
Section: contrib/kernel
Architecture: all
Depends: ${misc:Depends}
XB-Modaliases: ${modaliases}
Replaces: virtualbox-guest-dkms
Provides: virtualbox-guest-modules,
          virtualbox-guest-dkms
Conflicts: virtualbox-guest-dkms
Description: x86 virtualization solution - guest addition module source for dkms
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the source code for the virtualbox-hwe guest addition kernel
 modules to be build with dkms. Kernel sources or headers are required to
 compile these modules.

Package: virtualbox-guest-source-hwe
Section: contrib/kernel
Architecture: all
Depends: build-essential,
         bzip2,
         debhelper (>= 10),
         kbuild,
         module-assistant,
         ${misc:Depends}
Replaces: virtualbox-guest-source
Provides: virtualbox-guest-source
Conflicts: virtualbox-guest-source
Description: x86 virtualization solution - guest addition module source
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the source code for the virtualbox guest addition kernel
 modules. The virtualbox-guest-utils package is also required in order to
 make use of these modules. Kernel sources or headers are required to compile
 these modules.
 .
 The source is placed under /usr/src, and after decompression it can
 be built to produce a virtualbox-guest-modules-_KVERS_ providing
 "virtualbox-guest-modules" package.

Package: virtualbox-guest-x11-hwe
Section: contrib/x11
Architecture: amd64 i386
Depends: libnotify-bin,
         x11-xserver-utils,
         virtualbox-guest-utils-hwe (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ${xserver:Depends}
Replaces: virtualbox-guest-x11
Provides: xorg-driver-video,
          virtualbox-guest-x11
Conflicts: virtualbox-guest-x11
XB-Modaliases: ${modaliases}
Description: x86 virtualization solution - X11 guest utilities
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the X11 guest utilities for VirtualBox. These utilities
 are meant to be run inside the virtual machine.
 They provide closer integration and improve the interactive performance.

Package: virtualbox-guest-utils-hwe
Architecture: amd64 i386
Depends: adduser,
         pciutils,
         virtualbox-guest-dkms-hwe (= ${source:Version}) | virtualbox-guest-source-hwe (= ${source:Version}) | virtualbox-guest-modules-hwe,
         ${misc:Depends},
         ${shlibs:Depends}
#Conflicts: time-daemon, ntp
#Provides: time-daemon
#Replaces: time-daemon
Suggests: virtualbox-guest-x11-hwe (= ${binary:Version})
Replaces: virtualbox-guest-utils
Provides: virtualbox-guest-utils
Conflicts: virtualbox-guest-utils
Description: x86 virtualization solution - non-X11 guest utilities
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the non-X11 guest utilities for VirtualBox. These
 utilities are meant to be run inside the virtual machine.
 They provide closer integration and allow to share data through shared folders
 between the host system and the virtual machine.
 .
 Either the virtualbox-guest-dkms or the virtualbox-guest-source package is
 also required in order to compile the kernel modules needed for
 virtualbox-guest-utils.

=== debian/rules ===
#!/usr/bin/make -f

# Name of the source packages
psource:=virtualbox-source
gsource:=virtualbox-guest-source-hwe
pdkms:=virtualbox-dkms
gdkms:=virtualbox-guest-dkms-hwe

# The short upstream name
sname:=virtualbox
sxname:=virtualbox-qt
gname:=virtualbox-guest
uname:=virtualbox-guest-utils-hwe
uxname:=virtualbox-guest-x11-hwe

INSTALL_PATH:=/usr/lib/virtualbox
MAKE:=kmk

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NJOBS := -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

upstreamversion := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\([^-]\+\)-.\+/\1/p')

DIST_NAME := $(shell lsb_release -si)
DIST_RELEASE := $(DIST_NAME)/$(shell lsb_release -sc)

SERVER_DEPENDS = $(shell cat /usr/share/xserver-xorg/videodrvdep 2>/dev/null)

export DEB_BUILD_HARDENING=1
export DEB_BUILD_HARDENING_PIE=0
export DEB_BUILD_HARDENING_FORMAT=0
export DEB_BUILD_HARDENING_BINDNOW=0

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3,dkms,systemd

override_dh_auto_configure:
	@echo Building for $(DIST_RELEASE)

ifeq ($(strip $(SERVER_DEPENDS)),)
	@echo 'error: SERVER_DEPENDS is empty'
	@exit 1
endif

	mkdir -p out
	./configure \
	    --ose \
	    --odir=$(abspath out) \
	    --with-linux="/usr" \
	    --disable-kmods \
	    --enable-webservice \
	    --enable-vde \
	    --enable-vnc

override_dh_python3:
	dh_python3 --no-ext-rename

override_dh_auto_build:
	# Building package
	. out/env.sh && $(MAKE) $(NJOBS) \
	    AUTOCFG=$(abspath out/AutoConfig.kmk) \
	    LOCALCFG=$(abspath debian/LocalConfig.kmk) \
	    PATH_OUT=$(abspath out) \
	    TOOL_YASM_AS=yasm \
	    VBOX_USE_SYSTEM_XORG_HEADERS=1 \
	    VBOX_USE_SYSTEM_GL_HEADERS=1 \
	    VBOX_NO_LEGACY_XORG_X11=1 \
	    VBOX_BUILD_PUBLISHER=_$(DIST_NAME) \
	    VBOX_WITH_REGISTRATION_REQUEST= \
	    VBOX_WITH_UPDATE_REQUEST= \
	    KBUILD_VERBOSE=2 \
	    VBOX_WITH_EXTPACK_VBOXDTRACE=

	xsltproc --nonet --stringparam section.autolabel 1 \
	    -o debian/README.Debian.html \
	    /usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl \
	    debian/virtualbox.files/README.Debian.xml

	chmod 755 debian/lynx-dump-postprocess
	export LC_ALL=C; lynx -force_html -dump debian/README.Debian.html | \
	    ./debian/lynx-dump-postprocess > debian/virtualbox.README.Debian.tmp
	mv debian/virtualbox.README.Debian.tmp debian/virtualbox.README.Debian

override_dh_auto_install:
	dh_auto_install

	export VBOX_INSTALL_PATH=$(INSTALL_PATH) && \
	    cd out/bin/sdk/installer && \
	    python3 ./vboxapisetup.py install --root $(CURDIR)/debian/$(sname)

	sed -e 's/CVERSION/$(upstreamversion)/g' < debian/$(pdkms).links.in > debian/$(pdkms).links

	# Build install files for the dkms'ified sources
	sed -e 's/CVERSION/$(upstreamversion)/g' < debian/$(pdkms).install.in > debian/$(pdkms).install
	sed -e 's/CVERSION/$(upstreamversion)/g' < debian/$(gdkms).install.in > debian/$(gdkms).install

	echo "xserver:Depends=$(SERVER_DEPENDS)" >> debian/$(uxname).substvars

ifeq ($(DIST_NAME),Ubuntu)
	echo "modaliases=vboxguest(pci:v000080EEd0000CAFEsv00000000sd00000000bc*sc*i*)" >> debian/$(gdkms).substvars
	echo "modaliases=vboxx11(pci:v000080EEd0000BEEFsv00000000sd00000000bc*sc*i*)" >> debian/$(uxname).substvars
endif

override_dh_install:
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	dh_install -p$(sname) -X out/bin/VBoxDbg.so
endif
	dh_install --remaining-packages
#ifneq (,$(filter $(uxname), $(shell dh_listpackages)))
#	install -m 644 -p -D out/bin/additions/vboxvideo_drv_system.so \
#	    debian/$(uxname)/usr/lib/xorg/modules/drivers/vboxvideo_drv.so
#endif
# check if arch-any packages are being built
ifneq (,$(filter $(sxname), $(shell dh_listpackages)))
	convert debian/$(sxname)/usr/share/icons/hicolor/32x32/apps/virtualbox.png \
	    debian/$(sxname)/usr/share/pixmaps/virtualbox.xpm
endif

ifeq ($(DIST_NAME),Ubuntu)
	install -m 644 -p -D debian/apport-hook.py \
	    debian/$(sname)/usr/share/apport/package-hooks/source_$(sname).py
	install -m 644 -p -D debian/apport-hook.py \
	    debian/$(gdkms)/usr/share/apport/package-hooks/$(gdkms).py
endif

override_dh_link:
	dh_link
	dh_link -p$(uxname) --ignore debian/$(uxname).links \
	    /usr/lib/VBoxOGL.so $(shell pkg-config --variable dridriverdir dri)/vboxvideo_dri.so

override_dh_fixperms:
	dh_fixperms

# check if arch-any packages are being built
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxSDL;
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxHeadless;
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxNetNAT;
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxNetDHCP;
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxNetAdpCtl;
	chmod 644 debian/$(sname)$(INSTALL_PATH)/*.rc;
	chmod 644 debian/$(sname)$(INSTALL_PATH)/*.r0;

	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/python/xpcom/*.py;
	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/python/xpcom/server/*.py;
	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/python/xpcom/client/*.py;
	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/java/vboxjxpcom.jar;

	chmod 755 debian/$(sname)/usr/share/virtualbox/VBox.sh;
endif

ifneq (,$(filter $(sxname), $(shell dh_listpackages)))
	chmod +s debian/$(sxname)$(INSTALL_PATH)/VirtualBox;
endif

ifneq (,$(filter $(uxname), $(shell dh_listpackages)))
	chmod 755 debian/$(uxname)/usr/share/virtualbox/x11config.pl;
endif

# check if arch-all packages are being built
ifneq (,$(filter $(psource), $(shell dh_listpackages)))
	# These files have incorrect permissions, fixing it.
	chmod 755 debian/$(psource)/usr/src/modules/$(sname)/debian/rules

	# this needs all prior work to be finished
	cd debian/$(psource)/usr/src && \
	    tar -cjf $(sname).tar.bz2 modules && \
	    rm -rf modules

	chmod 644 debian/$(psource)/usr/src/$(sname).tar.bz2
endif

# check if arch-all packages are being built
ifneq (,$(filter $(gsource), $(shell dh_listpackages)))
	# These files have incorrect permissions, fixing it.
	chmod 755 debian/$(gsource)/usr/src/modules/$(gname)/debian/rules

	# this needs all prior work to be finished
	cd debian/$(gsource)/usr/src && \
	    tar -cjf $(gname).tar.bz2 modules && \
	    rm -rf modules

	chmod 644 debian/$(gsource)/usr/src/$(gname).tar.bz2
endif

override_dh_installinit:
	dh_installinit -p$(uxname) --no-start --update-rcd-params="start 45 S ."
	dh_installinit --remaining-packages --no-start

override_dh_systemd_enable:
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	dh_systemd_enable -p$(sname) --name vboxweb --no-enable debian/vboxweb.service
endif
	dh_systemd_enable -p$(uname) debian/$(uname).service

override_dh_dkms:
	dh_dkms -V $(upstreamversion)

override_dh_strip:
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	dh_strip --dbgsym-migration='$(sname)-dbg'

	# strip files not handled by dh_strip
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	set -e && for file in debian/$(sname)/usr/lib/virtualbox/*.rc debian/$(sname)/usr/lib/virtualbox/*.r0; do \
	    strip --strip-debug --remove-section=.comment --remove-section=.note $${file}; \
	done
endif
	# I don't see a reason to have these. If any user complains, we can try ship it.
	rm -f debian/$(sname)/usr/lib/virtualbox/VMMRC.debug
	rm -f debian/$(sname)/usr/lib/virtualbox/VMMR0.debug
endif

override_dh_shlibdeps:
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	dh_shlibdeps -p$(sname) -X debian/$(sname)$(INSTALL_PATH)/VBoxTestOGL -- \
	    -dRecommends debian/$(sname)$(INSTALL_PATH)/VBoxTestOGL -dDepends
endif
	dh_shlibdeps --remaining-packages

override_dh_compress:
	dh_compress -X.pdf

override_dh_auto_clean:
	dh_auto_clean

	# Cleaning package
	rm -rf out
	rm -f build-stamp
	rm -f debian/virtualbox.README.Debian debian/README.Debian.html
	rm -f debian/$(pdkms).install
	rm -f debian/$(gdkms).install
	rm -f debian/$(pdkms).links
	rm -f debian/$(gdkms).links

	find . -name "*.pyc" -exec rm -f {} \;

## virtualbox-hwe 6.0.6

=== src/VBox/HostDrivers/VBoxNetAdp/linux/Makefile ===
# $Id: Makefile $
## @file
# Makefile for the VirtualBox Linux Host Virtual Network Adapter Driver.
#

#
# Copyright (C) 2006-2019 Oracle Corporation
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License (GPL) as published by the Free Software
# Foundation, in version 2 as it comes in the "COPYING" file of the
# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
#
# The contents of this file may alternatively be used under the terms
# of the Common Development and Distribution License Version 1.0
# (CDDL) only, as it comes in the "COPYING.CDDL" file of the
# VirtualBox OSE distribution, in which case the provisions of the
# CDDL are applicable instead of those of the GPL.
#
# You may elect to license modified versions of this file under the
# terms and conditions of either the GPL or the CDDL or both.
#

# Find the directory of this makefile.
VBOXNETADPT_DIR := $(dir $(word $(words $(MAKEFILE_LIST)),$(MAKEFILE_LIST)))

# Linux kbuild sets this to our source directory if we are called from there
obj ?= $(CURDIR)
include $(obj)/Makefile-header.gmk

VBOXMOD_NAME = vboxnetadp
VBOXMOD_OBJS = \
	linux/VBoxNetAdp-linux.o \
	VBoxNetAdp.o
ifeq ($(BUILD_TARGET_ARCH),x86)
VBOXMOD_OBJS += \
	math/gcc/divdi3.o \
	math/gcc/moddi3.o \
	math/gcc/qdivrem.o \
	math/gcc/udivdi3.o \
	math/gcc/udivmoddi4.o \
	math/gcc/divdi3.o \
	math/gcc/umoddi3.o
endif
VBOXMOD_INCL = \
	$(VBOXNETADPT_DIR) \
	$(VBOXNETADPT_DIR)include \
	$(VBOXNETADPT_DIR)r0drv/linux
VBOXMOD_DEFS = \
	RT_OS_LINUX \
	IN_RING0 \
	IN_RT_R0 \
	IN_SUP_R0 \
	VBOX \
	RT_WITH_VBOX \
	VBOX_WITH_HARDENING \
	VBOX_WITH_64_BITS_GUESTS # <-- must be consistent with Config.kmk!
VBOXMOD_CFLAGS = -include $(KBUILD_EXTMOD)/include/VBox/SUPDrvMangling.h -fno-pie -Wno-declaration-after-statement

include $(obj)/Makefile-footer.gmk

## virtualbox-hwe 6.0.6-dfsg

=== debian/changelog ===
virtualbox-hwe (6.0.6-dfsg-1ubuntu19.04.1) disco; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Apr 2019 14:08:33 +0200

virtualbox (6.0.6-dfsg-1) unstable; urgency=medium

  * Implement DEB_BUILD_OPTIONS=parallel=n handling during build
    (Closes: #924302)
  * New upstream version 6.0.6-dfsg
  * Patch refresh
  * drop upstream patches:
    - debian/patches/77040.patch
    - debian/patches/77542.patch
    - debian/patches/java11-upstream.patch
  * Drop Ubuntu patch, now differently part of upstream code:
    - debian/patches/fix-vboxvideo-with-linux-5.0.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Apr 2019 00:08:12 +0200

virtualbox-hwe (6.0.4-dfsg-7ubuntu19.04.1) disco; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 10 Mar 2019 23:31:10 +0100

virtualbox (6.0.4-dfsg-7) unstable; urgency=medium

  * debian/patches/fix-vboxvideo-with-linux-5.0.patch:
    - add another build (this time for vboxvideo) LP: #1819352
  *  Add README.Debian.security file, to make users aware
     of the security issues in the package (this was part of the -6
     upload)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 10 Mar 2019 21:26:29 +0100

virtualbox-hwe (6.0.4-dfsg-6ubuntu19.04.2) disco; urgency=medium

  * Add debian-security file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 09 Mar 2019 13:55:56 +0100

virtualbox-hwe (6.0.4-dfsg-6ubuntu19.04.1) disco; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 09 Mar 2019 13:54:18 +0100

virtualbox (6.0.4-dfsg-6) unstable; urgency=medium

  * Upstream build fix with kernel 5.0 (LP: #1813071)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 09 Mar 2019 13:50:34 +0100

virtualbox-hwe (6.0.4-dfsg-5ubuntu19.04.1) disco; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Jan 2019 16:43:34 +0100

virtualbox (6.0.4-dfsg-5) unstable; urgency=medium

  * Tweak java patch with upstream approach

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Jan 2019 15:42:02 +0100

virtualbox-hwe (6.0.4-dfsg-4ubuntu19.04.1) disco; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Jan 2019 11:45:27 +0100

virtualbox (6.0.4-dfsg-4) unstable; urgency=medium

  * debian/patches/77040.patch:
    - save some space in binaries, with upstream patch.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Jan 2019 11:34:00 +0100

virtualbox-hwe (6.0.4-dfsg-3ubuntu19.04.1) disco; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Jan 2019 17:09:33 +0100

virtualbox (6.0.4-dfsg-3) unstable; urgency=medium

  * Switch to java11, that changed everything (Closes: #920723)
    - add new jaxw dependencies.
  * Switch from iasl to the new acpica-tools name

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Jan 2019 17:06:55 +0100

virtualbox-hwe (6.0.4-dfsg-2ubuntu19.04.1) disco; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 29 Jan 2019 12:03:02 +0100

virtualbox (6.0.4-dfsg-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Virtualbox 6 is now a amd64 thing only, 32 bit host
    is not supported anymore by upstream

  [ Whoopie ]
  * use cafe instead of beef, to detect if we are inside a VM to fix
    copy-paste.
  * Start VBoxClient too, with the right --vmsvga flag, to fix screen resize

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 29 Jan 2019 10:01:17 +0100

virtualbox-hwe (6.0.4-dfsg-1ubuntu19.04.1) disco; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Jan 2019 17:22:46 +0100

virtualbox (6.0.4-dfsg-1) unstable; urgency=medium

  * New upstream version 6.0.4-dfsg
  * Upload to unstable
  * Finally relax dh_strip hack
  * Relax some version constraints, already fullfilled since o-o-stable
  * Patch refresh for no-update
  * drop upstream patches:
    - fix-build-from-bird.patch
    - 76906.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Jan 2019 17:10:51 +0100

virtualbox (6.0.2-dfsg-1~exp4) experimental; urgency=medium

  * Setting setuid bit on VirtualBoxVM instead of VirtualBox to fix
    startup (Closes: #919554).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 19 Jan 2019 15:59:23 +0100

virtualbox (6.0.2-dfsg-1~exp3) experimental; urgency=medium

  * Fix typo in previous upload

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 Jan 2019 10:33:06 +0100

virtualbox (6.0.2-dfsg-1~exp2) experimental; urgency=medium

  * Add suid bit to VBoxNetNat to make it work (LP: #1805651)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 Jan 2019 08:54:58 +0100

virtualbox (6.0.2-dfsg-1~exp1) experimental; urgency=medium

  [ Robert Edmonds <edmonds@debian.org> ]
  * Add rdesktop-vrdp package (Closes: #914165)

  [ Kevin Locke ]
  * Add udev rules for vboxdrvu and vboxnetctl (Closes: #916464)

  [ Gianfranco Costamagna ]
  * debian/patches/VBoxVNC.fix.patch: LP: #1804048
    - thanks AZ for the patch, that is now part of upstream codebase
  * Bump std-version to 4.3.0, no changes required
  * Conflict with virtualbox-5.2
  * Conflict with vbox 6.0 too
  * New upstream version 6.0.2-dfsg
  * Add missing patch from <bird>
  * bump copyright year
  * patch refresh
  * Enable full hardening
  * Update manpages for vbox6
  * Update no-update patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 16 Jan 2019 14:34:29 +0100

virtualbox (5.2.22-dfsg-2) unstable; urgency=low



=== debian/control ===
--- 
+++ 
@@ -78,7 +78,7 @@
 Vcs-Git: https://salsa.debian.org/pkg-virtualbox-team/virtualbox.git
 
 #Package: virtualbox-qt
-#Architecture: amd64 i386
+#Architecture: amd64
 #Depends: virtualbox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 #Breaks: virtualbox (<< 4.1.6-dfsg-2~)
 #Replaces: virtualbox (<< 4.1.6-dfsg-2~)
@@ -90,7 +90,7 @@
 # This package provides the Qt based graphical user interface for VirtualBox.
 #
 #Package: virtualbox
-#Architecture: amd64 i386
+#Architecture: amd64
 #Depends: adduser,
 #         iproute2,
 #         procps,
@@ -113,6 +113,7 @@
 #           virtualbox-5.0,
 #           virtualbox-5.1,
 #           virtualbox-5.2,
+#           virtualbox-6.0,
 #Description: x86 virtualization solution - base binaries
 # VirtualBox is a free x86 virtualization solution allowing a wide range
 # of x86 operating systems such as Windows, DOS, BSD or Linux to run on a

=== debian/rules ===
--- 
+++ 
@@ -138,7 +138,7 @@
 ifneq (,$(filter $(sname), $(shell dh_listpackages)))
 	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxSDL;
 	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxHeadless;
-	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxNetNAT;
+	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxNetNat;
 	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxNetDHCP;
 	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxNetAdpCtl;
 	chmod 644 debian/$(sname)$(INSTALL_PATH)/*.rc;
@@ -153,7 +153,7 @@
 endif
 
 ifneq (,$(filter $(sxname), $(shell dh_listpackages)))
-	chmod +s debian/$(sxname)$(INSTALL_PATH)/VirtualBox;
+	chmod +s debian/$(sxname)$(INSTALL_PATH)/VirtualBoxVM;
 endif
 
 ifneq (,$(filter $(uxname), $(shell dh_listpackages)))

## virtualbox-hwe 6.0.14-dfsg

=== debian/changelog ===
virtualbox-hwe (6.0.14-dfsg-1ubuntu19.10.1) eoan; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 Oct 2019 12:57:01 +0200

virtualbox (6.0.14-dfsg-1) unstable; urgency=medium

  * New upstream version 6.0.14-dfsg
  * drop kernel patch: upstream

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 Oct 2019 09:24:16 +0200

virtualbox-hwe (6.0.12-dfsg-1ubuntu19.10.1) eoan; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 05 Sep 2019 09:15:27 +0200

virtualbox (6.0.12-dfsg-1) unstable; urgency=medium

  * New upstream version 6.0.12-dfsg
  * Patch refresh, add support for Python3.8 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 05 Sep 2019 09:11:42 +0200

virtualbox-hwe (6.0.10-dfsg-5ubuntu19.10.1) eoan; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Aug 2019 18:14:46 +0200

virtualbox (6.0.10-dfsg-5) unstable; urgency=medium

  * Add patch to fix build on newer kernels, thanks Ben Hutchings for the help!
    Closes: #934483
  * Stop using dh_link in the wrong way, thanks Nicolas Boulenguez <nicolas@debian.org> for the help!
    Closes: #935309

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Aug 2019 18:12:14 +0200

virtualbox-hwe (6.0.10-dfsg-4ubuntu19.10.1) eoan; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 06 Aug 2019 11:17:12 +0200

virtualbox (6.0.10-dfsg-4) unstable; urgency=medium

  * Refresh patch, the skb_frag_t struct is scheduled for kernel 5.4
    (Closes: #934010)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 06 Aug 2019 11:15:30 +0200

virtualbox-hwe (6.0.10-dfsg-3ubuntu19.10.1) eoan; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 03 Aug 2019 13:53:43 +0200

virtualbox (6.0.10-dfsg-3) unstable; urgency=medium

  * Refresh kernel 5.3.patch with new fixes

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 03 Aug 2019 13:47:34 +0200

virtualbox-hwe (6.0.10-dfsg-2ubuntu19.10.1) eoan; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 28 Jul 2019 13:28:28 +0200

virtualbox (6.0.10-dfsg-2) unstable; urgency=medium

  * debian/patches/kernel-5.3.patch
    - upstream proposed build fix for kernle 5.3 LP: #1837895
  * Build depend on libgsoap-dev too (Closes: #933246)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 28 Jul 2019 13:25:15 +0200

virtualbox-hwe (6.0.10-dfsg-1ubuntu19.10.1) eoan; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Jul 2019 12:29:41 +0200

virtualbox (6.0.10-dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #929074)
  * Drop kernel patch
  * Bump std-version to 4.4.0, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Jul 2019 12:10:52 +0200

virtualbox-hwe (6.0.8-dfsg-7ubuntu19.10.1) eoan; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 May 2019 16:37:47 +0200

virtualbox (6.0.8-dfsg-7) unstable; urgency=medium

  * Fix another chunk for kernel 5.2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 May 2019 16:05:04 +0200

virtualbox-hwe (6.0.8-dfsg-6ubuntu19.10.1) eoan; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 May 2019 09:37:25 +0200

virtualbox (6.0.8-dfsg-6) unstable; urgency=medium

  * Refresh previous patch (Closes: #929413, Closes: #929399)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 May 2019 09:34:03 +0200

virtualbox-hwe (6.0.8-dfsg-5ubuntu19.10.1) eoan; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 May 2019 18:01:18 +0200

virtualbox (6.0.8-dfsg-5) unstable; urgency=medium

  * Add patch to fix build failure with kernel 5.2
    (LP: #1830061)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 May 2019 17:58:01 +0200

virtualbox-hwe (6.0.8-dfsg-4ubuntu19.10.1) eoan; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 May 2019 17:57:35 +0200

virtualbox (6.0.8-dfsg-4) unstable; urgency=medium

  * Fixup version string (typo in previous upload)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 May 2019 17:55:41 +0200

virtualbox-hwe (6.0.8-dfsg-3ubuntu19.10.1) eoan; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 May 2019 16:50:47 +0200

virtualbox (6.0.8-dfsg-3) unstable; urgency=medium

  [ YOSHINO Yoshihito <yy.y.ja.jp@gmail.com> ]
  * Use dh_prep for vbox-*-source packages, fixing compat level 12 failure.
    (Closes: #929055)

  [ Gianfranco Costamagna ]
  * Move lintian-overrides location
  * Drop trailing changelogs
  * Drop old dh-systemd dependency
  * Patch refresh, fix typo
  * Drop parsechangelog call in rules file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 May 2019 16:39:21 +0200

virtualbox-hwe (6.0.8-dfsg-2ubuntu19.10.1) eoan; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 May 2019 11:57:52 +0200

virtualbox (6.0.8-dfsg-2) unstable; urgency=medium

  * Bump compat level to 12

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 May 2019 10:18:23 +0200

virtualbox (6.0.8-dfsg-1) unstable; urgency=medium

  * New upstream version 6.0.8-dfsg


=== debian/control ===
--- 
+++ 
@@ -5,11 +5,10 @@
 Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
            Gianfranco Costamagna <locutusofborg@debian.org>
 Build-Depends: bzip2,
-               debhelper (>= 10),
+               debhelper-compat (= 12),
                default-jdk,
                jaxws,
                dh-python,
-               dh-systemd (>=1.5),
                dkms,
                docbook-xml,
                docbook-xsl,
@@ -28,6 +27,7 @@
                libegl1-mesa-dev,
                libgl1-mesa-dev,
                libglu1-mesa-dev,
+               libgsoap-dev,
                libidl-dev,
                libopus-dev,
                libpam0g-dev,
@@ -72,7 +72,7 @@
                yasm,
                zlib1g-dev
 X-Python-Version: >= 2.5
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://www.virtualbox.org
 Vcs-Browser: https://salsa.debian.org/pkg-virtualbox-team/virtualbox
 Vcs-Git: https://salsa.debian.org/pkg-virtualbox-team/virtualbox.git
@@ -144,7 +144,7 @@
 #Architecture: all
 #Depends: build-essential,
 #         bzip2,
-#         debhelper (>= 10),
+#         debhelper-compat (= 12),
 #         kbuild,
 #         module-assistant,
 #         ${misc:Depends}
@@ -185,7 +185,7 @@
 Architecture: all
 Depends: build-essential,
          bzip2,
-         debhelper (>= 10),
+         debhelper-compat (= 12),
          kbuild,
          module-assistant,
          ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,8 @@
 	NJOBS := -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 endif
 
-upstreamversion := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\([^-]\+\)-.\+/\1/p')
+include /usr/share/dpkg/default.mk
+VERSION ?= $(shell echo $(DEB_VERSION_UPSTREAM) |cut -f 1 -d "-")
 
 DIST_NAME := $(shell lsb_release -si)
 DIST_RELEASE := $(DIST_NAME)/$(shell lsb_release -sc)
@@ -35,7 +36,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with python3,dkms,systemd
+	dh $@ --with python3,dkms
 
 override_dh_auto_configure:
 	@echo Building for $(DIST_RELEASE)
@@ -91,11 +92,11 @@
 	    cd out/bin/sdk/installer && \
 	    python3 ./vboxapisetup.py install --root $(CURDIR)/debian/$(sname)
 
-	sed -e 's/CVERSION/$(upstreamversion)/g' < debian/$(pdkms).links.in > debian/$(pdkms).links
+	sed -e 's/CVERSION/$(VERSION)/g' < debian/$(pdkms).links.in > debian/$(pdkms).links
 
 	# Build install files for the dkms'ified sources
-	sed -e 's/CVERSION/$(upstreamversion)/g' < debian/$(pdkms).install.in > debian/$(pdkms).install
-	sed -e 's/CVERSION/$(upstreamversion)/g' < debian/$(gdkms).install.in > debian/$(gdkms).install
+	sed -e 's/CVERSION/$(VERSION)/g' < debian/$(pdkms).install.in > debian/$(pdkms).install
+	sed -e 's/CVERSION/$(VERSION)/g' < debian/$(gdkms).install.in > debian/$(gdkms).install
 
 	echo "xserver:Depends=$(SERVER_DEPENDS)" >> debian/$(uxname).substvars
 
@@ -127,9 +128,9 @@
 endif
 
 override_dh_link:
-	dh_link
-	dh_link -p$(uxname) --ignore debian/$(uxname).links \
+	dh_link -p$(uxname) \
 	    /usr/lib/VBoxOGL.so $(shell pkg-config --variable dridriverdir dri)/vboxvideo_dri.so
+	dh_link --remaining-packages
 
 override_dh_fixperms:
 	dh_fixperms
@@ -138,7 +139,7 @@
 ifneq (,$(filter $(sname), $(shell dh_listpackages)))
 	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxSDL;
 	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxHeadless;
-	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxNetNat;
+	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxNetNAT;
 	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxNetDHCP;
 	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxNetAdpCtl;
 	chmod 644 debian/$(sname)$(INSTALL_PATH)/*.rc;
@@ -197,7 +198,7 @@
 	dh_systemd_enable -p$(uname) debian/$(uname).service
 
 override_dh_dkms:
-	dh_dkms -V $(upstreamversion)
+	dh_dkms -V $(VERSION)
 
 override_dh_strip:
 ifneq (,$(filter $(sname), $(shell dh_listpackages)))
